Add Sprite

Path Params
string
required

Id of the encoding.

string
required

Id of the stream.

Body Params

The Sprite to be added

string

Name of the resource. Can be freely chosen by the user.

string

Description of the resource. Can be freely chosen by the user.

string

User-specific meta data. This can hold anything.

integer

Height of one thumbnail, either height or width are required fields. If only one is given the encoder will calculate the other way value based on the aspect ratio of the video file. If the encoder version is below 2.83.0 both are required

integer

Width of one thumbnail, either height or width are required fields. If only one is given the encoder will calculate the other way value based on the aspect ratio of the video file. If the encoder version is below 2.83.0 both are required

string
enum
Defaults to SECONDS
Allowed:
double

Distance in the given unit between a screenshot

string
required

Name of the sprite image. File extension ".jpg"/".jpeg" or ".png" is required.

string

Filename of the sprite image. If not set, spriteName will be used, but without an extension.

string

Filename of the vtt-file. The file-extension ".vtt" is required.

outputs
array of objects
outputs
integer

Number of images per file. If more images are generated than specified in this value, multiple sprites will be created. You can use the placeholder '%number%' in the spriteName to specify the naming policy. Either this property must be set or hTiles and vTiles.

integer
≥ 1

Number of rows of images per file.

Has to be set together with vTiles. If this property and vTiles are set, the imagesPerFile property must not be set.

It is recommended to use the placeholder '%number%' in the spriteName to allow the generation of multiple sprites.

Only supported starting with encoder version 2.76.0.

integer
≥ 1

Number of columns of images per file.

Has to be set together with hTiles. If this property and hTiles are set, the imagesPerFile property must not be set.

It is recommended to use the placeholder '%number%' in the spriteName to allow the generation of multiple sprites.

Only supported starting with encoder version 2.76.0.

jpegConfig
object

Additional configuration for JPEG sprite generation.

If this property is set the extension of the file must be '.jpg.' or '.jpeg'

Only supported starting with encoder version 2.76.0

string
enum
Defaults to INTERVAL_END

The creation mode for the thumbnails in the Sprite.

Two possible creation modes exist: generate thumbnails starting with the beginning of the video or after the first configured period.

When using distance=10 and unit=SECONDS and INTERVAL_END, the first image of the sprite is from the second 10 of the video.
When using distance=10 and unit=SECONDS and INTERVAL_START, the first image of the sprite is from the very start of the video, while the second image is from second 10 of the video.

It is recommended to use 'INTERVAL_START' when using the sprites for trick play so that there is an additional thumbnail from the beginning of the video.

Only supported starting with encoder version 2.76.0.

Allowed:
string
enum
Defaults to STRETCH

Specifies the aspect mode that is used when both height and width are specified
Only supported starting with encoder version 2.85.0.

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json